Subject: Re: [bitcoin-dev] Total fees have almost crossed the block reward

From: Gregory Maxwell <[email-masked]>
Date: Fri, 22 Dec 2017 01:15:46 +0000

On Fri, Dec 22, 2017 at 12:30 AM, Mark Friedenbach via bitcoin-dev
<[email-masked]> wrote:
> Every transaction is replace-by-fee capable already. Opt-in replace by fee
> as specified in BIP 125 is a fiction that held sway only while the income
> from fees or fee replacement was so much smaller than subsidy.

The distinction is does a next fee replacement hit the next block 99%
of the time or does it do so with 10% probability each successive
block that the original remains unconfirmed; eventually converging to
the same 99% but only after a non-trivial additional delay.  As a
result it's still useful to flip it on.

I believe electrum has been defaulting to opt-in without any big problems.

There was discussion in the bitcoin core weekly irc meeting today
about defaulting it on.  Some expressed the view that perhaps it
should be left off by default for the RPC because some industrial
users but I'm of the view that those users are both most likely to
want it on and also the most able to see it in the release notes and
change their settings.